Bug 254161 - RFE: Provide the ability to save/restore VMs in Conga
RFE: Provide the ability to save/restore VMs in Conga
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 11:04 EDT by Mark Nielsen
Modified: 2009-04-16 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 13:57:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Nielsen 2007-08-24 11:04:14 EDT
Description of problem:
I am running VMs as services in a clustered environment. When I "xm save testVM"
from the node it's running on, that VM is saved then stopped. Cluster Suite
eventually realizes the VM is no longer running and re-starts the VM on another
node (my cluster policy is to relocate). I would like to see Conga able to
save/restore a VM. This would require being able to disable/enable the
saved/restored VM service within Cluster Suite. Currently my "work-around" is to
do an "xm save testVM", wait until that is finished and then "stop this service"
in Conga. Of course, the service is already stopped, but Conga seems to handle
that OK. Unfortunately, the VM service is put in to a disabled state. When I "xm
restore testVM" the VM is started back up, but Cluster Suite still shows
disabled. (lon tells me that rgmanager 2.0.29 will allow me to re-enable the VM
without causing a reboot, so I'll test that)) The end result I desire is to be
able to save a VM and keep it from restarting until I am ready to restore the VM
from the save file at a later date. 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. create a VM as a service in a clustered environment with a restar failover policy
2. xm save the VM, the VM domU is destroyed after the save
3. wait until cluster suite realizes the VM has disappeared, the VM restarts.
  
Actual results:
Cluster Suite will restart the "failed" VM.

Expected results:
I'd love! if Conga could save then disable the VM so I can restore it at a later
date.

Additional info:
Comment 1 Ryan McCabe 2008-01-18 13:57:18 EST
Conga performs all VM operations via rgmanager (clusvcadm), so support would be
needed there.

Note You need to log in before you can comment on or make changes to this bug.